package tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import org.w3c.dom.Document;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.wbit.comptest.controller.util.CTValueElementToXMLSerializer;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: TestSuite
 *
 */
@SuppressWarnings("all")
public class TestSuite_DataTable extends DataTable {
  public TestSuite_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_repair tcTest_repair = new TC_Test_repair("test_repair", this);

/**
 *
 * Test Case: test_repair
 *
 */
public class TC_Test_repair extends TestCaseData {
  public TC_Test_repair(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1258671570859_44330() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/IRIRejectRepairModuleWeb/sca/IRIRejectRepairPTExport",java.lang.String.class);

}String constructField_1258671570859_44330(Object parent) throws Exception{
return getField_1258671570859_44330();
}
public String createValue_1258671570859_44330() throws Exception{
String serviceAddress = constructField_1258671570859_44330(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1258671570859_44330();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1258671570875_44377() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1258671570875_44377();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}

    public Document repair_exception_fault;
    DE_Repair_exception_fault deRepair_exception_fault = new DE_Repair_exception_fault("repair_exception_fault", this);

/**
 * Data Set Row repair_exception_fault
 */
public class DE_Repair_exception_fault extends AbstractOutputDataEntry {
   public DE_Repair_exception_fault(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return repair_exception_fault;

   }
   
   public void setValue(Object value) throws Exception
   {
      repair_exception_fault = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}