package tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import commonj.sdo.DataObject;
import org.w3c.dom.Document;
import com.ibm.wbit.comptest.controller.framework.IGetValueOverride;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.wbit.comptest.controller.util.CTValueElementToXMLSerializer;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverride;


/**
 *
 * Data Table: TestSuite
 *
 */
@SuppressWarnings("all")
public class TestSuite_DataTable extends DataTable {
  public TestSuite_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_unbundle tcTest_unbundle = new TC_Test_unbundle("test_unbundle", this);

/**
 *
 * Test Case: test_unbundle
 *
 */
public class TC_Test_unbundle extends TestCaseData {
  public TC_Test_unbundle(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1257910236906_250024() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/IRIDeBulkModuleWeb/sca/IRIDeBulkPTExport",java.lang.String.class);

}String constructField_1257910236906_250024(Object parent) throws Exception{
return getField_1257910236906_250024();
}
public String createValue_1257910236906_250024() throws Exception{
String serviceAddress = constructField_1257910236906_250024(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1257910236906_250024();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();
// Get field function for UserAuthRequest
public DataObject getField_1257910236906_250087() throws Exception 
{
   return null;
}IGetValueOverride overrideOf_getField_1257910236906_250087 = new GetValueOverride("1257910236906_250087",fieldOverrides){    public Object getValue() throws Exception    {        return getField_1257910236906_250087();    }};public Document createValue_1257910236906_250063() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1257910236906_250063();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}

    public Document unbundle_exception_fault;
    DE_Unbundle_exception_fault deUnbundle_exception_fault = new DE_Unbundle_exception_fault("unbundle_exception_fault", this);

/**
 * Data Set Row unbundle_exception_fault
 */
public class DE_Unbundle_exception_fault extends AbstractOutputDataEntry {
   public DE_Unbundle_exception_fault(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return unbundle_exception_fault;

   }
   
   public void setValue(Object value) throws Exception
   {
      unbundle_exception_fault = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}